%define binname	quickusbformatter
%define beta	preview
%define commit	95f78d4

Name:		quick-usb-formatter
Version:	0.6
Release:	%mkrel -c %{beta} 8
Summary:	A small KDE application to format usb sticks and devices
Group:		Graphical desktop/KDE
License:	LGPLv2+
URL:		http://gitorious.org/chakra/quick-usb-formatter
# wget http://git.chakraos.org/quick-usb-formatter.git/snapshot/master.tar.gz -O %%{name}-%%{version}-%%{beta}.tar.gz
# (Qt5 branch) https://code.chakralinux.org/chakra/quick-usb-formatter/tree/qt5
Source0:	%{name}-%{version}-%{beta}-qt5.tar.xz
Patch0:		%{name}-0.5-rosa-l10n-ru.patch
Patch1:		%{name}-0.6-mga-path.patch
Patch2:		%{name}-0.6-alt-kf5.patch

BuildRequires:	gettext
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Auth)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5DBus)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Widgets)

Requires:	ntfs-3g
Requires:	f2fs-tools
Requires:	dosfstools
Requires:	e2fsprogs
# as it is in tainted repo
Recommends:	exfat-utils

%description
Quick-Usb-Formatter is a tiny app designed for enhance the usability of the
device notifier, an additional option for quick format usb sticks.

%prep
%setup -q -n %{name}-%{commit}
%autopatch -p1

chmod 0755 %{binname}.desktop

sed -ri '/find_package.*MSGFMT/afind_package(X11)' CMakeLists.txt

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{binname}

%files -f %{binname}.lang
%doc README.txt
%{_kf5_bindir}/%{binname}
%{_kf5_applicationsdir}/%{binname}.desktop
%{_libexecdir}/kauth/qufhelper
%config(noreplace) %{_kf5_datadir}/dbus-1/system.d/org.kde.auth.quf.conf
%{_kf5_datadir}/dbus-1/system-services/org.kde.auth.quf.service
%{_kf5_datadir}/polkit-1/actions/org.kde.auth.quf.policy
%{_kf5_datadir}/solid/actions/%{binname}_solid.desktop


%changelog
* Fri Dec 23 2022 daviddavid <daviddavid> 0.6-0.preview.8.mga9
+ Revision: 1926060
- rebuild with fixed kauth 5.101.0

* Tue Nov 15 2022 daviddavid <daviddavid> 0.6-0.preview.7.mga9
+ Revision: 1907679
- fix build adding 'find_package(X11)' in CMakeLists.txt
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.6-0.preview.6.mga8
+ Revision: 1659716
- Rebuild for new Qt5

* Tue Feb 18 2020 umeabot <umeabot> 0.6-0.preview.5.mga8
+ Revision: 1541486
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 daviddavid <daviddavid> 0.6-0.preview.4.mga8
+ Revision: 1474523
- update to latest git snapshot (Qt5 branch)
- port to Kf5/Qt5
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 0.6-0.preview.3.mga7
+ Revision: 1300754
- Mageia 7 Mass Rebuild

* Sat Jan 14 2017 daviddavid <daviddavid> 0.6-0.preview.2.mga6
+ Revision: 1081571
- adapt for Plasma 5

* Wed Jan 13 2016 daviddavid <daviddavid> 0.6-0.preview.1.mga6
+ Revision: 922420
- new version: 0.6-preview

* Wed Oct 15 2014 umeabot <umeabot> 0.5-0.preview.3.mga5
+ Revision: 745415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-0.preview.2.mga5
+ Revision: 688581
- Mageia 5 Mass Rebuild

* Thu Feb 20 2014 akien <akien> 0.5-0.preview.1.mga5
+ Revision: 595181
- Use %%apply_patches macro
+ david-david <david-david>
- imported package quick-usb-formatter

